<div class="section">
    <div class="container">
        <h2>
            <div class="section-title col-md-12">
                <h3 class="title"><span>Users</span> <span style="color: #dd0a37;">Management</span></h3>
            </div>
            <!--        <span id="user-management-page-heading">Users</span>-->
            <button class="btn btn-primary float-right" [routerLink]="['./new']">
                <fa-icon [icon]="'plus'"></fa-icon>
                <span> Create a new User</span>
            </button>
        </h2>
        <div class="table-responsive" *ngIf="users">
            <table class="table table-striped">
                <thead>
                <tr>
                    <th><span>ID</span>
                        <fa-icon [icon]="'sort'"></fa-icon>
                    </th>
                    <th><span>Username</span>
                        <fa-icon [icon]="'sort'"></fa-icon>
                    </th>
                    <th><span>Email</span>
                        <fa-icon [icon]="'sort'"></fa-icon>
                    </th>
                    <th></th>
                    <th><span>Roles</span></th>
                    <th></th>
                </tr>
                </thead>
                <tbody *ngIf="users.length">
                <tr *ngFor="let user of users; trackBy: trackIdentity">
                    <td><a [routerLink]="['./', user.username, 'view']">{{user.id}}</a></td>
                    <td>{{user.username}}</td>
                    <td>{{user.email}}</td>
                    <td>
                        <button class="btn btn-danger btn-sm" (click)="setActive(user, true)" *ngIf="!user.activated">
                            Deactivated
                        </button>
                        <button class="btn btn-success btn-sm" (click)="setActive(user, false)" *ngIf="user.activated"
                                [disabled]="currentAccount.username === user.username">Activated
                        </button>
                    </td>
                    <td>
                        <div *ngFor="let role of user.roles">
                            <span class="badge badge-info">{{ role }}</span>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group flex-btn-group-container">
                            <button type="submit"
                                    [routerLink]="['./', user.username, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon [icon]="'eye'"></fa-icon>
                                <span class="d-none d-md-inline"> View</span>
                            </button>
                            <button type="submit"
                                    [routerLink]="['./', user.username, 'edit']"
                                    queryParamsHandling="merge"
                                    class="btn btn-primary btn-sm">
                                <fa-icon [icon]="'pencil-alt'"></fa-icon>
                                <span class="d-none d-md-inline"> Edit</span>
                            </button>
                            <button type="button" (click)="deleteUser(user)"
                                    class="btn btn-danger btn-sm"
                                    [disabled]="currentAccount.username === user.username">
                                <fa-icon [icon]="'times'"></fa-icon>
                                <span class="d-none d-md-inline"> Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
            <!--        <div class="input-dropdown">-->
            <!--            <input type="text" id="myInput" [(ngModel)]="searchInput" (focus)="searchUsersShow()" (blur)="searchUsersHide()" (keyup)="myFunction()" placeholder="Search for names..">-->
            <!--            <ul *ngIf="searchShow">-->
            <!--                <li *ngFor="let searchUser of searchUsers" [value]="searchUser">{{searchUser.username}}</li>-->
            <!--            </ul>-->
            <!--        </div>-->
        </div>
    </div>
</div>
